EXP1803 - bugs #164

BbinonHeHue ycnosun gna pacnapa B PhaseSpace .
03/07/2018 08:11 PM - Mikhail Kozlov

Status: 3akpbiTa Start date: 03/07/2018
Priority: HeoTnoxHblin Due date: 03/09/2018
Assignee: Ivan Muzalevsky % Done: 100%
Category: Estimated time: 0.00 hour
Target version:

Description

Meton TGenPhaseSpace::SetDecay() Bo3spauwaer false, ecnu cymmapHas sHeprua He6+H2 8 UM meHbwe cymmbl macc H5 n He3.
B Hawem cnyyae 310 npomcxoauT npu ysenuyeHun maccol HS.

Ho 5 He CoBCEM noHAMaI0, 1I0vemy Wbl He GyCTUpye BexTopsi & cucTemy LIM, a cauraew, 470 3a Hac 370 nenaeT PhaseSpace. 1 & Kakwix CySasx 3T0 HyXHO fienats cawomy. Mpouy, 0B BACHUT, noxanyiicra.

Related issues:
Related to Developing #143: CnekTp Bo36yxaeHuit 5H 3akpbiTa 02/18/2018 02/23/2018

History

#1 - 03/07/2018 08:11 PM - Mikhail Kozlov
- Related to Developing #143: Cnexktp Bo36yxaeHuni 5H added

#2 - 03/08/2018 04:54 PM - lvan Muzalevsky

Mpobnemy noHsan, TGetPhaseSpace oeicTBUTENBHO IOMAETCs NPU 3TOM YCNIOBUU, YTO ONCAHO B €r0 MeTodax:

fTeCmTm = P.Mag(); // total energy in C.M. minus the sum of the masses
for (n=0;nfNt;n++) {
fMass[n] = mass[n];
fTeCmTm -= mass[n];

}

if (fTeCmTmreturn kKEALSE; // not enough energy for this decay

Mo>Ho pewnTb Npobnemy no aHanorum ¢ Tem, kak a1o 6bino yctpoeHo B SIMONE: npu ycnoBuu, 4T0 NPOAyKTOB peakLmm 2 KuHeMaTmka
paccyMTbiBaeTCS OQHUM crnocobow, Npy ycnosum 4To 3/5... opyrum.

B cBsi3M € 9TMM, cKOpee BCEro, Hy>XHO HEMHOrO Nepeaenatb MEXaHN3M PasbirpbiBAHNS KMHEMATVKU (CO30aHNs 4-BEKTOPOB) NPOLYKTOB peakLuu.

Double_t mass5H = (flsSHUserMassSet) ? fSHMass : f5H->Mass();
LOG(DEBUG)

Double_t reactMasses|[2];
reactMasses[0] = f3He->Mass();

reactMasses[1] = mass5H;

fReactionPhaseSpace->SetDecay(lvReaction, 2, reactMasses);
fReactionPhaseSpace->Generate();

TLorentzVector *Iv3He = fReactionPhaseSpace->GetDecay/(0);
TLorentzVector *IvE6H = fReactionPhaseSpace->GetDecay(1);
https://root.cern.ch/root/html534/TGenPhaseSpace.html#TGenPhaseSpace:fTeCmTm
https://root.cern.ch/root/html534/TGenPhaseSpace.html#TGenPhaseSpace:fMass
https://root.cern.ch/root/html534/TGenPhaseSpace.html#TGenPhaseSpace:fTeCmTm
https://root.cern.ch/root/html534/TGenPhaseSpace.html#TGenPhaseSpace:fTeCmTm
https://root.cern.ch/root/html534/ListOfTypes.html#Bool_t

3TN CTPOKK HYXHO nepenenatb:

#3 - 03/09/2018 05:28 PM - Ivan Muzalevsky
- File ERDecayEXP1803.cxx added
- % Done changed from 0 to 90

#4 - 03/13/2018 07:22 PM - Sergey Belogurov

C TOuKM 3peHns ousmkn ato npasmnbHO: "Meton TGenPhaseSpace::SetDecay() Bosspawaer false, ecnu cymmapHas sHeprus He6+H2 8 LIM
MeHble cyMMbl Macc H5 u He3." Bac, MBaH, nonpocnn 06bSCHUTD ¢ T.3. (O13UKK, @ Bbl O MOnpaeke kona. B 4eM douamyeckunii cMbic Bawmx
N3MEHEHWIA, N NoYEMY Bbl CHATAETE, YTO YKasaHHOe yCNoBMe HEBEPHO?

#5 - 03/14/2018 04:26 PM - Ivan Muzalevsky
- Status changed from Orkpeita to 3akpbiTa

- % Done changed from 90 to 100

Mpo6nema 6Gbina B TOM, YTO MPU pasbirpbiBaHUM sHepruy Bo3byXxaeHns 5H n3 pyHKkLmMKM, coCTOosBLIEl N3 OBYX rayCcoB, MOSIBASMCH Clyyaw, Koraa
macca 5H okasbiBanach CiMWKOM 60NblWoN 4s NpoTekaHus GuHapHom peakuumn. 3aaada Obina pelweHa MexaHuyecku: ecni macca 5H npesbicuna
KPUTUYECKYIO, lenaeTcsi NepecyéT aHeprum Bo30y X AeHNsl 3aHOBO, UTepaLmn NPOLONXATCS, MOKA PeakLmMsl He CMOXEeT NpoTekaTb. Bo3MOXHO B
6ynylem MoxHo ByneT caenatb Tak, 4ToObl FpaHuLibl, B KOTOPbIX Pa3birpbiBAETCS SHEPrvst BO3OY X AEHNS PACHMTLIBAETCA aBTOMaTUYECKN 13
SHepruu nyyka.

Files

ERDecayEXP1803.cxx 9.5 KB 03/09/2018 Ivan Muzalevsky
